Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.sequencer.teiid
Class CndFromEcore

    java.lang.Object
      org.modeshape.sequencer.teiid.CndFromEcore

    public class CndFromEcore

extends Object

Utility class to generate a CND file from an ECore model.

Nested Class Summary
`protected static class` | `CndFromEcore.CndGraphReader`

Constructor Summary
`CndFromEcore()`

Method Summary
`protected void` | `debug(I18n msg, Object... params)`
`void` | `execute()`
`boolean` | `generateShortNames()`
`boolean` | `generatesMixins()`
`String` | `getCndFileName()`
`List<String>` | `getEcoreFileNames()` Get the names of the Ecore files that are to be processed into node types.
`protected String` | `getHeader()`
`Problems` | `getProblems()`
`boolean` | `isDebug()`
`boolean` | `isValid()`
`static void` | `main(String[] args)`
`void` | `setCndFileName(String cndFileName)`
`void` | `setDebug(boolean debug)`
`void` | `setEcoreFileNames(List<String> ecoreFileNames)`
`void` | `setEcoreFileNames(String... ecoreFileNames)`
`void` | `setGeneratesMixins(boolean mixins)`
`void` | `setGeneratesShortNames(boolean shortNames)`
`protected void` | `write(StringBuilder writer, NamespaceRegistry.Namespace namespace)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CndFromEcore

    public CndFromEcore()

Method Detail

### main

    public static void main(String[] args)

### getEcoreFileNames

    public List<String> getEcoreFileNames()

  Get the names of the Ecore files that are to be processed into node types.

  Returns:
    the Ecore file names

### setEcoreFileNames

    public void setEcoreFileNames(List<String> ecoreFileNames)

  Parameters:
    `ecoreFileNames` - Sets ecoreFileNames to the specified value.

### setEcoreFileNames

    public void setEcoreFileNames(String... ecoreFileNames)

  Parameters:
    `ecoreFileNames` - Sets ecoreFileNames to the specified value.

### getCndFileName

    public String getCndFileName()

  Returns:
    cndFileName

### setCndFileName

    public void setCndFileName(String cndFileName)

  Parameters:
    `cndFileName` - Sets cndFileName to the specified value.

### isDebug

    public boolean isDebug()

  Returns:
    debug

### setDebug

    public void setDebug(boolean debug)

  Parameters:
    `debug` - Sets debug to the specified value.

### generatesMixins

    public boolean generatesMixins()

  Returns:
    mixins

### setGeneratesMixins

    public void setGeneratesMixins(boolean mixins)

  Parameters:
    `mixins` - Sets mixins to the specified value.

### generateShortNames

    public boolean generateShortNames()

  Returns:
    shortNames

### setGeneratesShortNames

    public void setGeneratesShortNames(boolean shortNames)

  Parameters:
    `shortNames` - Sets shortNames to the specified value.

### isValid

    public boolean isValid()

### getProblems

    public Problems getProblems()

  Returns:
    problems

### execute

    public void execute()

### write

    protected void write(StringBuilder writer,
                         NamespaceRegistry.Namespace namespace)

### getHeader

    protected String getHeader()

### debug

    protected void debug(I18n msg,
                         Object... params)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.